You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cordova.apache.org by sh...@apache.org on 2014/11/01 00:43:45 UTC

[25/50] ios commit: Add ios-sim version check (3.0) to cordova/lib/list-emulator-images

Add ios-sim version check (3.0) to cordova/lib/list-emulator-images


Project: http://git-wip-us.apache.org/repos/asf/cordova-ios/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-ios/commit/5bbfbf8a
Tree: http://git-wip-us.apache.org/repos/asf/cordova-ios/tree/5bbfbf8a
Diff: http://git-wip-us.apache.org/repos/asf/cordova-ios/diff/5bbfbf8a

Branch: refs/heads/wkwebview
Commit: 5bbfbf8a60ad6aa4453a9458b64f276b36eb8d02
Parents: 14fa0a8
Author: Shazron Abdullah <sh...@apache.org>
Authored: Fri Oct 17 16:45:50 2014 -0700
Committer: Shazron Abdullah <sh...@apache.org>
Committed: Fri Oct 17 16:45:50 2014 -0700

----------------------------------------------------------------------
 bin/templates/scripts/cordova/lib/list-emulator-images | 7 +++++++
 1 file changed, 7 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-ios/blob/5bbfbf8a/bin/templates/scripts/cordova/lib/list-emulator-images
----------------------------------------------------------------------
diff --git a/bin/templates/scripts/cordova/lib/list-emulator-images b/bin/templates/scripts/cordova/lib/list-emulator-images
index 88dcd6b..c831370 100755
--- a/bin/templates/scripts/cordova/lib/list-emulator-images
+++ b/bin/templates/scripts/cordova/lib/list-emulator-images
@@ -19,6 +19,13 @@
 
 set -e
 
+IOS_SIM_MIN_VERSION="3.0"
+IOS_SIM_LOCATION=$(which ios-sim)
+if [ $? != 0 ]; then
+    echo -e "\033[31mError: ios-sim was not found. Please download, build and install version $IOS_SIM_MIN_VERSION or greater from https://github.com/phonegap/ios-sim into your path. Or 'npm install -g ios-sim' using node.js: http://nodejs.org/\033[m" 1>&2; 
+	exit 1;
+fi
+
 IOS_SIM_VERSION=$(ios-sim --version)
 
 if [[ "$IOS_SIM_VERSION" < "$IOS_SIM_MIN_VERSION" ]]; then


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@cordova.apache.org
For additional commands, e-mail: commits-help@cordova.apache.org